=== modified file 'lib/lp/archiveuploader/dscfile.py'
--- lib/lp/archiveuploader/dscfile.py	2012-01-05 03:59:54 +0000
+++ lib/lp/archiveuploader/dscfile.py	2012-01-05 04:40:45 +0000
@@ -201,11 +201,7 @@
         person = getUtility(IPersonSet).getByEmail(email)
         if person and person.private:
             # Private teams can not be maintainers.
-            error = "Invalid Maintainer."
-            if self.changes.changed_by and self.changes.changed_by['person']:
-                if self.changes.changed_by['person'].inTeam(person):
-                    error = "Maintainer can not be set to a private team."
-            raise UploadError(error)
+            raise UploadError("Invalid Maintainer.")
 
         if person is None and self.policy.create_people:
             package = self._dict['Source']

=== modified file 'lib/lp/archiveuploader/tests/test_private_maintainers.py'
--- lib/lp/archiveuploader/tests/test_private_maintainers.py	2012-01-05 03:59:54 +0000
+++ lib/lp/archiveuploader/tests/test_private_maintainers.py	2012-01-05 04:40:45 +0000
@@ -19,30 +19,12 @@
 
     layer = DatabaseFunctionalLayer
 
-    def test_private_team_non_member(self):
-        # Maintainers can not be private teams. If the uploader isn't set,
-        # or isn't a member, the rejection message is delibrately vague.
+    def test_private_team_maintainer(self):
+        # Maintainers can not be private teams.
         with celebrity_logged_in('admin'):
             team = self.factory.makeTeam(
                 email="foo@bar.com", visibility=PersonVisibility.PRIVATE)
         sigfile = SignableTagFile()
-        sigfile.changes = SignableTagFile()
-        sigfile.changes.changed_by = {}
         self.assertRaisesWithContent(
             UploadError, 'Invalid Maintainer.', sigfile.parseAddress,
             "foo@bar.com")
-
-    def test_private_team_member(self):
-        # Maintainers can not be private teams. If the uploader is a member
-        # of the team, the rejection message can be clear.
-        uploader = self.factory.makePerson()
-        with celebrity_logged_in('admin'):
-            team = self.factory.makeTeam(
-                email="foo@bar.com", visibility=PersonVisibility.PRIVATE,
-                members=[uploader])
-        sigfile = SignableTagFile()
-        sigfile.changes = SignableTagFile()
-        sigfile.changes.changed_by = {'person': uploader}
-        self.assertRaisesWithContent(
-            UploadError, 'Maintainer can not be set to a private team.',
-            sigfile.parseAddress, "foo@bar.com")

